<?php use_helper('UrlFunctions'); ?>
<?php use_helper( 'IncludePartial' ); ?>
<?php use_helper( 'UtilFunctions' ); ?>
<script>
mostrarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'inline'; }
ocultarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'none'; }

mostrarMensajeError = function( s_MensajeError )
{
    $( "#resultContent" ).html( '<div id="mensaje_error_content" class="error">' + s_MensajeError + '</div>' );
    setTimeout( function(){ $( "#mensaje_error_content" ).fadeOut( 800 ).fadeIn( 800 ).fadeOut( 500 ).fadeIn( 500 ).fadeOut( 300 ); }, 4000 );
}
</script>
<script>
ejecutarGuardar = function()
{
	mostrarCargaImg();
	var strFormSerialize = $( 'form' ).serialize();
    executeAjaxJson( 
                        "<?php echo buildUrl( 'linea/deleteRow', "block=001" ) ?>", 
                        strFormSerialize,
                        function( o_json )
                        {
                            if( o_json.error )
                            {
                                ocultarCargaImg();
                                mostrarMensajeError( o_json.mensaje_error );
                                return false;
                            }
                            parent.findControl();
                            parent.$( '#dialog' ).dialog( 'close' );
                            return true;
                        } 
                   );
}
</script>
<input type="hidden" name="i_Id" id="i_Id" value="<?= $i_Id ?>">

<div class="card">
    <div class="container">

        <div class="form-row mx-0">
            <div class="col-md-12 mb-1">
            <label class="col-form-label" for="Descripcion">Descripcion</label>
                <input type="text" class="form-control" name="Descripcion" id="Descripcion" placeholder="Descripcion del Item FIscal" value="<?= $o_DefaultBN->getDescripcion() ?>" required readonly>
            </div>
            <div class="col-md-12 mb-1">
            <label class="col-form-label" for="CodigoFiscal">Codigo Fiscal</label>
                <input type="text" class="form-control" name="CodigoFiscal" id="CodigoFiscal" placeholder="Codigo Fiscal" value="<?= $o_DefaultBN->getCodigoFiscal() ?>" required readonly>
            </div>
        </div>
        <div class="form-row mx-0">
            <div class="col-md-6 mb-1">
                <label class="col-form-label" for="Estado">Estado</label>
                    <?=crearSelect( array( "Estado", "Llave", "Valor" ), array( array( "Llave" => "A", "Valor" => "ACTIVO" ), array( "Llave" => "I", "Valor" => "INACTIVO" ) ), $o_DefaultBN->getEstado() )?>
            	</div>
            

        </div>
           
        
        <div class="form-group col-14">
            <div class="dropdown-divider"></div>
            
            
        </div>
    </div>
</div>

<div id="dialog" style="display:none;"><iframe id="myIframe" src="" frameborder="0" height="100%" width="100%"></iframe></div>
<script>
    objMainTab.modalUIDialog( "#dialog", { title : "Auditoria", width : 425, height  : 230 } );
    objMainTab.modalUIDialog( "#dialog2", { title : "Auditoria", width : 425, height  : 230 } );
</script>
<script>
eliminarRegistro = function()
{
    x = confirm( "Esta seguro de eliminar el registro?" )
    if( x )
    {
        ejecutarGuardar();
    }
}
</script>